Skip to main content
POST
/
storage
/
columns
Create column
curl --request POST \
  --url https://api.getcargo.io/v1/storage/columns \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "column": {
    "slug": "<string>",
    "label": "<string>",
    "kind": "<string>",
    "properties": [
      "<string>"
    ],
    "description": "<string>"
  }
}
'
import requests

url = "https://api.getcargo.io/v1/storage/columns"

payload = {
"modelUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"column": {
"slug": "<string>",
"label": "<string>",
"kind": "<string>",
"properties": ["<string>"],
"description": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
column: {
slug: '<string>',
label: '<string>',
kind: '<string>',
properties: ['<string>'],
description: '<string>'
}
})
};

fetch('https://api.getcargo.io/v1/storage/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body schema.

modelUuid
string<uuid>
required

Model identifier.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
column
Column · object
required

Additional column definition.

Response

Successful response

The response is of type object.